import Fact from "./fact";
import { AggregateInterface, ExpectedFactInterface, RuleStructureInterface } from "omni.interfaces";
import { DecisionObjectType } from "omni.interfaces/types";
import { VersionInterface } from "omni.interfaces/interfaces/version";
import { BomInterface } from "omni.interfaces/interfaces/bom.interface";
export declare const ROOT_NAME = "bom";
export default class Aggregate implements AggregateInterface {
    id: number | undefined;
    decisionObjectType?: DecisionObjectType;
    facts: Fact[];
    name: string;
    description: string | undefined;
    version?: VersionInterface;
    type: "Aggregate";
    sampleBOMs: BomInterface[];
    passed: boolean;
    constructor(parent: Aggregate | undefined, aggregate: AggregateInterface);
    getOutputs(): Fact[];
    getRules(): RuleStructureInterface[];
    schemaVersion(): any;
    missingExpectedFacts(): ExpectedFactInterface[];
    sampleJson(): any;
    sampleJsonWithDataTypes(): any;
}
